- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CWindowDragTab Class Reference

Inheritance diagram for Exponent::GUI::Controls::CWindowDragTab:

List of all members.

## Detailed Description

Handle to a control.

A handle to a window. Provides dragging functionality
Couple of caveats:
1. This class directly edits the base class window. Make sure you actually want to do this..
2. This class must be directly added to the root control of a window to have any chance of sucess.

Date:
  11/06/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CWindowDragTab.hpp,v 1.6 2007/02/08 21:07:54 paul Exp

Definition at line 37 of file CWindowDragTab.hpp.

## Public Member Functions

- CWindowDragTab (IControlRoot *root, const long uniqueId, const CRect &area, IActionListener *listener=NULL)
- virtual void drawControl (CGraphics &graphics)
- virtual void handleLeftButtonDown (CMouseEvent &event)
- virtual void handleLeftButtonUp (CMouseEvent &event)
- virtual void handleMouseMovement (CMouseEvent &event)
- virtual ~CWindowDragTab ()

## Protected Attributes

- CPoint m_dragOffset
- bool m_mouseIsDown

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CWindowDragTab::CWindowDragTab | ( | IControlRoot * | root,
|  | const long | uniqueId,
|  | const CRect & | area,
|  | IActionListener * | listener = `NULL` |
| ) |  |  |

Construction

Parameters:

  | root | The root control that this control is being added to
  | uniqueId | The unique Identifier of this control or CCONTROL_NO_ID_REQUIRED if no id is required
  | area | The area of this control relative to the root controls top left
  | listener | The action listener

virtual Exponent::GUI::Controls::CWindowDragTab::~CWindowDragTab | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual void Exponent::GUI::Controls::CWindowDragTab::drawControl | ( | CGraphics & | graphics | ) | `[virtual]`

Draw the controls

Parameters:

  | graphics | The graphics context

Reimplemented from Exponent::GUI::Controls::CControl.

virtual void Exponent::GUI::Controls::CWindowDragTab::handleLeftButtonDown | ( | CMouseEvent & | event | ) | `[virtual]`

Handle left button being clicked

Parameters:

  | event | The event to handle

Reimplemented from Exponent::GUI::Controls::CControl.

virtual void Exponent::GUI::Controls::CWindowDragTab::handleLeftButtonUp | ( | CMouseEvent & | event | ) | `[virtual]`

Handle left button being released

Parameters:

  | event | The event to handle

Reimplemented from Exponent::GUI::Controls::CControl.

virtual void Exponent::GUI::Controls::CWindowDragTab::handleMouseMovement | ( | CMouseEvent & | event | ) | `[virtual]`

Handle the mouse movement

Parameters:

  | event | The event to handle

Reimplemented from Exponent::GUI::Controls::CControl.

## Member Data Documentation

CPoint Exponent::GUI::Controls::CWindowDragTab::m_dragOffset`[protected]`

Where did they click inside our area?

Definition at line 94 of file CWindowDragTab.hpp.

bool Exponent::GUI::Controls::CWindowDragTab::m_mouseIsDown`[protected]`

Have the clicked in our area

Definition at line 93 of file CWindowDragTab.hpp.